Bug 796640 - Review Request: python-tate-bilinear-pairing - a library for calculating Tate bilinear pairing
Review Request: python-tate-bilinear-pairing - a library for calculating Tate...
Status: CLOSED DUPLICATE of bug 807432
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-23 06:31 EST by homerxing
Modified: 2012-08-26 16:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-26 16:53:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description homerxing 2012-02-23 06:31:05 EST
Source code tarball: http://pypi.python.org/packages/source/t/tate_bilinear_pairing/tate_bilinear_pairing-0.2.1.tar.gz#md5=1878704406c72d0b23b942c92aa97d64

License: GPL

Spec URL: no. can someone help to write one?

SRPM URL: no. can someone help to write one?

Description: 

This package is a Python library for calculating Tate bilinear pairing, especially on super-singular elliptic curve $E:y^2=x^3-x+1$ in affine coordinates defined over a Galois Field $GF(3^m)$. 
This package is also for calculating the addition of two elements in the elliptic curve group, and the addition of $k$ identical element in the elliptic curve group.

The code of this package for computing the Tate bilinear pairing follows the paper by Beuchat et al [3]. The code of this package for computing the elliptic curve group operation follows the paper by Kerins et al [2].

This package is in PURE Python, working with Python 2.7 and 3.2.
Comment 1 philip.worrall 2012-03-27 15:07:57 EDT
Hi,

I have proposed a potential SPEC file and SRPM for this package.

Its posted here as BUG #807432

Be sure to check it out and see if it works for you.

Regards,

Phil
Comment 2 Mario Blättermann 2012-08-26 16:53:07 EDT

*** This bug has been marked as a duplicate of bug 807432 ***

Note You need to log in before you can comment on or make changes to this bug.